commit:     db2122182b22d4c0d425153d1009e568b38c8be4
Author:     Lukas Schmelting <lschmelting <AT> posteo <DOT> com>
AuthorDate: Sat May 17 13:22:08 2025 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Mon Jun  9 02:28:45 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=db212218

gnome-extra/evolution-data-server: Version bump to 3.56.1

Drops the patches:
- 3.36.5-gtk-doc-1.32-compat.patch as gtk-doc-1.32 is not in tree
  anymore,
- 3.54.3-c23.patch, as the fix was merged upstream.

Signed-off-by: Lukas Schmelting <lschmelting <AT> posteo.com>
Part-of: https://github.com/gentoo/gentoo/pull/42161
Closes: https://github.com/gentoo/gentoo/pull/42161
Signed-off-by: Sam James <sam <AT> gentoo.org>

 gnome-extra/evolution-data-server/Manifest         |   1 +
 .../evolution-data-server-3.56.1.ebuild            | 167 ++++++++++++++++++++
 .../files/3.36.5-gtk-doc-1.32-compat.patch         |  32 ----
 .../evolution-data-server/files/3.54.3-c23.patch   | 169 ---------------------
 4 files changed, 168 insertions(+), 201 deletions(-)

diff --git a/gnome-extra/evolution-data-server/Manifest 
b/gnome-extra/evolution-data-server/Manifest
index 8b8fafb73b9f..f4037a85eff5 100644
--- a/gnome-extra/evolution-data-server/Manifest
+++ b/gnome-extra/evolution-data-server/Manifest
@@ -1,2 +1,3 @@
 DIST evolution-data-server-3.52.4.tar.xz 5055252 BLAKE2B 
e493f16700533e97440a13dead51bb4654fbbb0345718eeb91e1e052f9599ededacb6e6693fa9de3d68288a6472503ab3a01cab4ac27be8cfc2d693389021aa0
 SHA512 
2847a15f7cb5b41cce94565a06f7baa02d8dd40241d59029ccebeb21215500ca6f1ac978f1142bde9348917f0534e181e2f7011ed245b6e7a6b1afda9975cfef
 DIST evolution-data-server-3.54.3.tar.xz 5099688 BLAKE2B 
4dd96cd75adbcb1703c4506ae01be4728f90bc1d8ec201f4aea9a44fb46b2f748db82343ea368c2ecd7a87f55b4e46c6ffdcd085b5329683d00828a23f5aedb6
 SHA512 
071f4f8185d74712ac57532adb15ecd68feb99f780f36d4751730d16cd57e44bcfd8ecf2ed6995326775ee049bba0da9971f5f42fba43e2d76f9c26865d7f014
+DIST evolution-data-server-3.56.1.tar.xz 5112904 BLAKE2B 
e803f9cd33b76d5839a8afa56b87888595bf4b3cf92fc7b4db6e830be8affd7d36ffd6caa33f0fbcbfde4ef66dccaf3743a88fb20a15954c6c5023c638eac910
 SHA512 
5a9573a1d161d48010fd875d0bb21412aed936822a9615f0eb563b1c465a5dea7ce556e0459aa7543a8ea473d1963e51db42d831af204939a217de331a450e2d

diff --git 
a/gnome-extra/evolution-data-server/evolution-data-server-3.56.1.ebuild 
b/gnome-extra/evolution-data-server/evolution-data-server-3.56.1.ebuild
new file mode 100644
index 000000000000..5d39d74bb305
--- /dev/null
+++ b/gnome-extra/evolution-data-server/evolution-data-server-3.56.1.ebuild
@@ -0,0 +1,167 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake db-use flag-o-matic gnome2 vala virtualx
+
+DESCRIPTION="Evolution groupware backend"
+HOMEPAGE="https://gitlab.gnome.org/GNOME/evolution/-/wikis/home 
https://gitlab.gnome.org/GNOME/evolution-data-server";
+
+# Note: explicitly "|| ( LGPL-2 LGPL-3 )", not "LGPL-2+".
+LICENSE="|| ( LGPL-2 LGPL-3 ) BSD Sleepycat"
+SLOT="0/64-11-21-4-3-27-2-27-4-0" # subslot = 
libcamel-1.2/libebackend-1.2/libebook-1.2/libebook-contacts-1.2/libecal-2.0/libedata-book-1.2/libedata-cal-2.0/libedataserver-1.2/libedataserverui-1.2/libedataserverui4-1.0
 soname version
+
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~sparc ~x86 
~amd64-linux ~x86-linux"
+
+IUSE="berkdb +gnome-online-accounts +gtk gtk-doc +introspection ldap kerberos 
oauth-gtk3 oauth-gtk4 sound vala +weather"
+REQUIRED_USE="
+       oauth-gtk3? ( gtk )
+       oauth-gtk4? ( gtk )
+       vala? ( introspection )
+"
+
+# berkdb needed only for migrating old addressbook data from <3.13 versions, 
bug #519512
+# glib-2.70 for build-time optional GPowerProfileMonitor
+RDEPEND="
+       >=app-crypt/libsecret-0.5[crypt]
+       >=dev-db/sqlite-3.7.17:3
+       >=dev-libs/glib-2.70:2
+       >=dev-libs/libical-3.0.8:=[glib,introspection?]
+       >=dev-libs/libxml2-2
+       >=dev-libs/nspr-4.4
+       >=dev-libs/nss-3.9
+       >=net-libs/libsoup-3.1.1:3.0
+       >=dev-libs/json-glib-1.0.4[introspection]
+
+       dev-libs/icu:=
+       sys-libs/zlib:=
+       virtual/libiconv
+
+       berkdb? ( >=sys-libs/db-4:= )
+       gtk? (
+               >=x11-libs/gtk+-3.20:3
+               >=gui-libs/gtk-4.4:4
+               sound? (
+                       || (
+                               media-libs/libcanberra-gtk3
+                               >=media-libs/libcanberra-0.25[gtk3(-)]
+                       )
+               )
+
+               oauth-gtk3? ( >=net-libs/webkit-gtk-2.34.0:4.1 )
+               oauth-gtk4? ( >=net-libs/webkit-gtk-2.39.90:6 )
+       )
+       gnome-online-accounts? ( >=net-libs/gnome-online-accounts-3.8:= )
+       introspection? ( >=dev-libs/gobject-introspection-0.9.12:= )
+       kerberos? ( virtual/krb5:= )
+       ldap? ( >=net-nds/openldap-2:= )
+       weather? ( >=dev-libs/libgweather-4.2.0:4= )
+"
+DEPEND="${RDEPEND}
+       vala? ( $(vala_depend)
+               >=net-libs/libsoup-3.1.1:3.0[vala]
+               dev-libs/libical[vala]
+       )
+"
+BDEPEND="
+       dev-util/gdbus-codegen
+       dev-util/glib-utils
+       dev-util/gperf
+       gtk-doc? (
+               >=dev-util/gtk-doc-1.14
+               dev-util/gi-docgen
+               app-text/docbook-xml-dtd:4.1.2
+       )
+       >=dev-util/intltool-0.35.5
+       >=sys-devel/gettext-0.18.3
+       virtual/pkgconfig
+"
+
+# Some tests fail due to missing locales.
+# Also, dbus tests are flaky, bugs #397975 #501834
+# It looks like a nightmare to disable those for now.
+RESTRICT="!test? ( test )"
+
+pkg_pretend() {
+       if has_version "gnome-extra/evolution-data-server[oauth(-)]" &&
+               ! use oauth-gtk3 && ! use oauth-gtk4
+       then
+               ewarn "The previous installed version of 
gnome-extra/evolution-data-server"
+               ewarn "had USE=oauth enabled that is now split into 
USE=oauth-gtk3"
+               ewarn "and USE=oauth-gtk4.  Please consider enabling either (or 
both)"
+               ewarn "of these flags to preserve OAuth2 support."
+       fi
+}
+
+# global scope PATCHES or DOCS array mustn't be used due to double 
default_src_prepare call
+src_prepare() {
+       use vala && vala_setup
+       cmake_src_prepare
+       gnome2_src_prepare
+
+       # Make CMakeLists versioned vala enabled
+       sed -e "s;\(find_program(VALAC\) valac);\1 ${VALAC});" \
+         -e "s;\(find_program(VAPIGEN\) vapigen);\1 ${VAPIGEN});" \
+         -i "${S}"/CMakeLists.txt || die
+}
+
+src_configure() {
+       # /usr/include/db.h is always db-1 on FreeBSD
+       # so include the right dir in CPPFLAGS
+       use berkdb && append-cppflags "-I$(db_includedir)"
+
+       # phonenumber does not exist in tree
+       local mycmakeargs=(
+               -DSYSCONF_INSTALL_DIR="${EPREFIX}"/etc
+#              -DENABLE_GI_DOCGEN=$(usex gtk-doc)
+               -DENABLE_GTK_DOC=$(usex gtk-doc)
+               -DWITH_PRIVATE_DOCS=$(usex gtk-doc)
+               -DENABLE_SCHEMAS_COMPILE=OFF
+               -DENABLE_INTROSPECTION=$(usex introspection)
+               -DWITH_KRB5=$(usex kerberos)
+               -DWITH_KRB5_INCLUDES=$(usex kerberos "${EPREFIX}"/usr "")
+               -DWITH_KRB5_LIBS=$(usex kerberos "${EPREFIX}"/usr/$(get_libdir) 
"")
+               -DWITH_OPENLDAP=$(usex ldap)
+               -DWITH_PHONENUMBER=OFF
+               -DENABLE_SMIME=ON
+               -DENABLE_GTK=$(usex gtk)
+               -DENABLE_GTK4=$(usex gtk)
+               -DENABLE_OAUTH2_WEBKITGTK=$(usex oauth-gtk3)
+               -DENABLE_OAUTH2_WEBKITGTK4=$(usex oauth-gtk4)
+               -DENABLE_EXAMPLES=OFF
+               -DENABLE_GOA=$(usex gnome-online-accounts)
+               -DWITH_LIBDB=$(usex berkdb "${EPREFIX}"/usr OFF)
+               # ENABLE_BACKTRACES requires libdwarf ?
+               -DENABLE_IPV6=ON
+               -DENABLE_WEATHER=$(usex weather)
+               -DENABLE_LARGEFILE=ON
+               -DENABLE_VALA_BINDINGS=$(usex vala)
+               -DENABLE_TESTS=$(usex test)
+       )
+       if use gtk && use sound; then
+               mycmakeargs+=( -DENABLE_CANBERRA=ON )
+       else
+               mycmakeargs+=( -DENABLE_CANBERRA=OFF )
+       fi
+
+       cmake_src_configure
+}
+
+src_compile() {
+       cmake_src_compile
+}
+
+src_test() {
+       virtx cmake_src_test
+}
+
+src_install() {
+       cmake_src_install
+
+       if use ldap; then
+               insinto /etc/openldap/schema
+               doins "${FILESDIR}"/calentry.schema
+               dosym ../../../usr/share/${PN}/evolutionperson.schema 
/etc/openldap/schema/evolutionperson.schema
+       fi
+}

diff --git 
a/gnome-extra/evolution-data-server/files/3.36.5-gtk-doc-1.32-compat.patch 
b/gnome-extra/evolution-data-server/files/3.36.5-gtk-doc-1.32-compat.patch
deleted file mode 100644
index 3a202bee154e..000000000000
--- a/gnome-extra/evolution-data-server/files/3.36.5-gtk-doc-1.32-compat.patch
+++ /dev/null
@@ -1,32 +0,0 @@
-From 24c7ca17eaf69211b75f2882c11aeff01a3cad01 Mon Sep 17 00:00:00 2001
-From: Mart Raudsepp <[email protected]>
-Date: Sat, 8 Aug 2020 18:59:25 +0300
-Subject: [PATCH] I#158 - Workaround build error with gtk-doc-1.32
-
----
- src/calendar/libecal/e-cal-time-util.h | 2 ++
- 1 file changed, 2 insertions(+)
-
-diff --git a/src/calendar/libecal/e-cal-time-util.h 
b/src/calendar/libecal/e-cal-time-util.h
-index 8acb13061..11c9d3369 100644
---- a/src/calendar/libecal/e-cal-time-util.h
-+++ b/src/calendar/libecal/e-cal-time-util.h
-@@ -150,6 +150,7 @@ void               time_to_gdate_with_zone (GDate *date,
-  * struct tm manipulation
-  **************************************************************************/
- 
-+#ifndef __GTK_DOC_IGNORE__
- struct tm     e_cal_util_icaltime_to_tm
-                                       (const ICalTime *itt);
- struct tm     e_cal_util_icaltime_to_tm_with_zone
-@@ -159,6 +160,7 @@ struct tm  e_cal_util_icaltime_to_tm_with_zone
- ICalTime *    e_cal_util_tm_to_icaltime
-                                       (struct tm *tm,
-                                        gboolean is_date);
-+#endif
- 
- G_END_DECLS
- 
--- 
-2.20.1
-

diff --git a/gnome-extra/evolution-data-server/files/3.54.3-c23.patch 
b/gnome-extra/evolution-data-server/files/3.54.3-c23.patch
deleted file mode 100644
index c478081a4b91..000000000000
--- a/gnome-extra/evolution-data-server/files/3.54.3-c23.patch
+++ /dev/null
@@ -1,169 +0,0 @@
-https://bugs.gentoo.org/948952
-https://gitlab.gnome.org/GNOME/evolution-data-server/-/commit/557e2b2a7cc04836c64abd7340092f2395897d57
-
-From 557e2b2a7cc04836c64abd7340092f2395897d57 Mon Sep 17 00:00:00 2001
-From: Milan Crha <[email protected]>
-Date: Wed, 22 Jan 2025 12:06:33 +0100
-Subject: [PATCH] Do not use variable named 'bool' in the code
-
-The C23 adds `bool` as a keyword, which breaks the build when this
-standard is enabled.
----
- src/camel/camel-sexp.c      | 16 ++++++++--------
- src/libedataserver/e-sexp.c | 16 ++++++++--------
- 2 files changed, 16 insertions(+), 16 deletions(-)
-
-diff --git a/src/camel/camel-sexp.c b/src/camel/camel-sexp.c
-index c59bc41eb1..66eedae9d0 100644
---- a/src/camel/camel-sexp.c
-+++ b/src/camel/camel-sexp.c
-@@ -330,7 +330,7 @@ term_eval_and (CamelSExp *sexp,
-       GHashTable *ht = g_hash_table_new (g_str_hash, g_str_equal);
-       struct IterData lambdafoo;
-       gint type=-1;
--      gint bool = TRUE;
-+      gint val = TRUE;
-       gint i;
-       const gchar *oper;
- 
-@@ -341,7 +341,7 @@ term_eval_and (CamelSExp *sexp,
-       oper = "AND";
-       sexp->priv->operators = g_slist_prepend (sexp->priv->operators, 
(gpointer) oper);
- 
--      for (i = 0; bool && i < argc; i++) {
-+      for (i = 0; val && i < argc; i++) {
-               r1 = camel_sexp_term_eval (sexp, argv[i]);
-               if (type == -1)
-                       type = r1->type;
-@@ -364,7 +364,7 @@ term_eval_and (CamelSExp *sexp,
-                               g_hash_table_insert (ht, a1[j], GINT_TO_POINTER 
(n + 1));
-                       }
-               } else if (r1->type == CAMEL_SEXP_RES_BOOL) {
--                      bool = bool && r1->value.boolean;
-+                      val = val && r1->value.boolean;
-               }
-               camel_sexp_result_free (sexp, r1);
-       }
-@@ -377,7 +377,7 @@ term_eval_and (CamelSExp *sexp,
-               result->value.ptrarray = lambdafoo.uids;
-       } else if (type == CAMEL_SEXP_RES_BOOL) {
-               result->type = CAMEL_SEXP_RES_BOOL;
--              result->value.boolean = bool;
-+              result->value.boolean = val;
-       }
- 
-       g_hash_table_destroy (ht);
-@@ -396,7 +396,7 @@ term_eval_or (CamelSExp *sexp,
-       GHashTable *ht = g_hash_table_new (g_str_hash, g_str_equal);
-       struct IterData lambdafoo;
-       gint type = -1;
--      gint bool = FALSE;
-+      gint val = FALSE;
-       gint i;
-       const gchar *oper;
- 
-@@ -407,7 +407,7 @@ term_eval_or (CamelSExp *sexp,
- 
-       result = camel_sexp_result_new (sexp, CAMEL_SEXP_RES_UNDEFINED);
- 
--      for (i = 0; !bool && i < argc; i++) {
-+      for (i = 0; !val && i < argc; i++) {
-               r1 = camel_sexp_term_eval (sexp, argv[i]);
-               if (type == -1)
-                       type = r1->type;
-@@ -426,7 +426,7 @@ term_eval_or (CamelSExp *sexp,
-                               g_hash_table_insert (ht, a1[j], (gpointer) 1);
-                       }
-               } else if (r1->type == CAMEL_SEXP_RES_BOOL) {
--                      bool |= r1->value.boolean;
-+                      val |= r1->value.boolean;
-               }
-               camel_sexp_result_free (sexp, r1);
-       }
-@@ -439,7 +439,7 @@ term_eval_or (CamelSExp *sexp,
-               result->value.ptrarray = lambdafoo.uids;
-       } else if (type == CAMEL_SEXP_RES_BOOL) {
-               result->type = CAMEL_SEXP_RES_BOOL;
--              result->value.boolean = bool;
-+              result->value.boolean = val;
-       }
-       g_hash_table_destroy (ht);
- 
-diff --git a/src/libedataserver/e-sexp.c b/src/libedataserver/e-sexp.c
-index 3adc85196a..ccdabb12cd 100644
---- a/src/libedataserver/e-sexp.c
-+++ b/src/libedataserver/e-sexp.c
-@@ -291,7 +291,7 @@ term_eval_and (ESExp *sexp,
-       GHashTable *ht = g_hash_table_new (g_str_hash, g_str_equal);
-       struct IterData lambdafoo;
-       gint type=-1;
--      gint bool = TRUE;
-+      gint val = TRUE;
-       gint i;
-       const gchar *oper;
- 
-@@ -302,7 +302,7 @@ term_eval_and (ESExp *sexp,
-       oper = "AND";
-       sexp->priv->operators = g_slist_prepend (sexp->priv->operators, 
(gpointer) oper);
- 
--      for (i = 0; bool && i < argc; i++) {
-+      for (i = 0; val && i < argc; i++) {
-               r1 = e_sexp_term_eval (sexp, argv[i]);
-               if (type == -1)
-                       type = r1->type;
-@@ -325,7 +325,7 @@ term_eval_and (ESExp *sexp,
-                               g_hash_table_insert (ht, a1[j], GINT_TO_POINTER 
(n + 1));
-                       }
-               } else if (r1->type == ESEXP_RES_BOOL) {
--                      bool = bool && r1->value.boolean;
-+                      val = val && r1->value.boolean;
-               }
-               e_sexp_result_free (sexp, r1);
-       }
-@@ -338,7 +338,7 @@ term_eval_and (ESExp *sexp,
-               r->value.ptrarray = lambdafoo.uids;
-       } else if (type == ESEXP_RES_BOOL) {
-               r->type = ESEXP_RES_BOOL;
--              r->value.boolean = bool;
-+              r->value.boolean = val;
-       }
- 
-       g_hash_table_destroy (ht);
-@@ -357,7 +357,7 @@ term_eval_or (ESExp *sexp,
-       GHashTable *ht = g_hash_table_new (g_str_hash, g_str_equal);
-       struct IterData lambdafoo;
-       gint type = -1;
--      gint bool = FALSE;
-+      gint val = FALSE;
-       gint i;
-       const gchar *oper;
- 
-@@ -368,7 +368,7 @@ term_eval_or (ESExp *sexp,
- 
-       r = e_sexp_result_new (sexp, ESEXP_RES_UNDEFINED);
- 
--      for (i = 0; !bool && i < argc; i++) {
-+      for (i = 0; !val && i < argc; i++) {
-               r1 = e_sexp_term_eval (sexp, argv[i]);
-               if (type == -1)
-                       type = r1->type;
-@@ -387,7 +387,7 @@ term_eval_or (ESExp *sexp,
-                               g_hash_table_insert (ht, a1[j], (gpointer) 1);
-                       }
-               } else if (r1->type == ESEXP_RES_BOOL) {
--                      bool |= r1->value.boolean;
-+                      val |= r1->value.boolean;
-               }
-               e_sexp_result_free (sexp, r1);
-       }
-@@ -400,7 +400,7 @@ term_eval_or (ESExp *sexp,
-               r->value.ptrarray = lambdafoo.uids;
-       } else if (type == ESEXP_RES_BOOL) {
-               r->type = ESEXP_RES_BOOL;
--              r->value.boolean = bool;
-+              r->value.boolean = val;
-       }
-       g_hash_table_destroy (ht);
- 
--- 
-GitLab

Reply via email to